org.richfaces.renderkit.html

## Class DragSupportRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxChildrenRenderer
          - - org.richfaces.renderkit.CompositeRenderer
            - - org.richfaces.renderkit.html.DragSupportRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class DragSupportRenderer
      extends org.richfaces.renderkit.CompositeRenderer

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 23.02.2007

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `log, SPECIAL_COMPONENTS_TYPES`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragSupportRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`

    - ### Methods inherited from class org.richfaces.renderkit.CompositeRenderer

      `addContributor, addParameterEncoder, doDecode, encodeAttributeParameters, escapeHtmlEntities, getContributors, getParameterEncoders, getScriptContributions, getScriptContributions, getScripts, getStyles, getStyles, mergeScriptOptions, mergeScriptOptions`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `encodeAjaxChildren, encodeAjaxComponent`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### DragSupportRenderer

          public DragSupportRenderer()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.